Bug 322521 - upgrade fc6-fc7 breaks yum because of newer modules
upgrade fc6-fc7 breaks yum because of newer modules
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
7
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 18:11 EDT by Ray Todd Stevens
Modified: 2014-01-21 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 07:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2007-10-07 18:11:49 EDT
OK this one needs if nothing else to go into a search able area for fixes as I
broke it then found the way to fix it.

How to break

Have a current fc6 system.   That is you have run yum on the fc6 system and
updated all the modules.

Upgrade it to fc7.   Suceesfully, which is in and of itself a problem. :-(

Symptoms

Now if you do the graphical update software it just returns with no error.

Doing a text yum you get a message that the rpm module is missing.   Down
farther in the message is that this could be because it is out of date.   This
is the actual case.   The problem is that the updates to fc6 are newer than the
modules downloaded during the upgrade to fc7 so the fc7 stuff don't get
downloaded and installed.

Solution go to the upgrades/7/i386 directory.   

Download the rpm* rpms and the popt* rpms into a empty directory.

In that directory as root do
rpm -U *.rpm

Now everything will work and you can update the rest of the stuff.
Comment 1 Jeremy Katz 2007-10-08 21:10:24 EDT
Panu -- we really probably need to keep the version of the Fx rpm < Fx+1.  Even
when anaconda pulls in the updates repo, there isn't a good way to guarantee
that it's available given CD upgrades.
Comment 2 Ray Todd Stevens 2007-10-08 21:43:36 EDT
If you need something tested I have about 9 more machines to upgrade in the next
month.   I will by necessity be using the same general procedure.  (No DVD
drives on the machines)  So if you need me to do something different or check
something in the process let me know.
Comment 3 Panu Matilainen 2007-10-09 02:02:44 EDT
Jeremy: agreed, I just didn't realize this breakage would happen. Lesson
learned, rpm is doomed to patch pile-up instead of upgrading to newer releases,
sigh. Alternatively bump epoch for each distro version but ugh...
Comment 4 James Antill 2007-10-09 09:38:51 EDT
Jeremy doesn't the dist tag solve this problem? So that rpm-4.4.2.1-1.fc7 would
be > than rpm-4.4.2.1-1.fc6?
Comment 5 Panu Matilainen 2007-10-09 09:58:04 EDT
The problem here is/was that latest FC6 rpm is now newer than the *initial* F7
rpm and that breaks especially DVD/CD-upgrades (and network upgrades unless
updates-repository was enabled on upgrade). The only way to avoid that is either
a) avoid upgrading rpm to never version than what was in FX+1 initially
b) pre-empt the version with epoch between distros (eg epoch: 6 for FC6, epoch 7
for F7 etc)



Comment 6 Ray Todd Stevens 2007-10-09 11:44:17 EDT
As the guy who started this, I would add my two cents worth.   Frankly if the
error message was a little more on target, and possibly included a note to a web
site for fixing the problem I would think that 90% of the problem would be dealt
with.  It took me a while to find out that the files were not missing, but were
to old.   It took me about 30 minute to figure out I had a problem with the
graphical version.   Then it took me a couple of hours or more to find the
problem and probably 10 minutes to fix it.   The next time around it would
probably be a 5 minute fix.   It certainly would be a 5 minute fix with a set of
instructions on the screen.

Anyone who actually runs into this problem is probably going to be competent
enough to execute the set of instructions needed to fix the problem.   

A nice utility that fixes the problem would also be a possibility.

I also think someone should look at the concept of the graphical software update
 just stopping and exiting without ever displaying anything or giving an error.   

So my two cents worth.   Don't worry as much about the versions, and fix the
error message to actually be meaningful.   Then fix the graphical version to
display the actual error message instead of just exiting.
Comment 7 Ray Todd Stevens 2007-11-27 16:22:50 EST
I have not seen any progress on this one.    It seems to me that putting it in a
problems files somewhere for people to find the fix and closing it might be in
order at this point.
Comment 8 Panu Matilainen 2008-04-01 07:29:47 EDT
I think this has been open long enough for people to find. There's nothing here
to fix except "don't do it again", and I doubt we're going to get a
WONT_HAPPEN_AGAIN close-state on bugzilla no matter how long we wait...

Note You need to log in before you can comment on or make changes to this bug.